#!/usr/bin/python3
# -*- coding: utf-8 -*- 
#smartremocon.py
 
import paho.mqtt.client as mqtt  # MQTTのライブラリをインポート
import subprocess
import json
from time import sleep
import requests
import datetime
import smbus2
import bme280
bus = smbus2.SMBus(1)
 
HOST = 'mqtt.beebotte.com'
PORT = 8883
CA_CERTS = 'mqtt.beebotte.com.pem'
TOKEN = 'token_xxxxxxxx'    #Beebotteで作成したチャンネルのトークンを入力
TOPIC = 'xxxxx/xxxxxxxx'    #Beebotteで作成したトピック名を入力
 
def on_connect(client, userdata, flags, respons_code):  # ブローカーに接続できたときの処理
    print('status {0}'.format(respons_code))
 
def on_disconnect(client, userdata, flags, respons_code):# ブローカーが切断したときの処理
    print("Unexpected disconnection.")
    client.loop_stop()
 
def on_message(client, userdata, msg):  # メッセージが届いたときの処理
    print(msg.payload.decode("utf-8"))
    try:
        data = json.loads(msg.payload.decode("utf-8"))["data"]
        print(data)
    except :
        print("jsonフォーマットエラー")
#   finally:
######################################
#   ここにRaspberryPiの処理を書きます。
######################################
####温度・気圧・湿度の取得
    dat = bme280.sample(bus, 0x76)
    spl = str(dat).split(",")
    temp=spl[2]
    pressure=spl[3]
    humidity=spl[4][:-1]
    now = str(datetime.datetime.now())[:-7]
    data = now + "<br>" + temp + "<br>" + pressure + "<br>" + humidity
####メールで送信
#   Subject->{{value1}},Body->{{value2}}
    data = {"value1":"Raspberry Pi より","value2":data}
    webhook("gmail",data)
    print(data)
def webhook(eventid,payload) :
    key = "bx41sm_nHIaWEwX7SXPoyO"
    url = "https://maker.ifttt.com/trigger/"+ eventid + "/with/key/" + key
    response = requests.post(url,data=payload)

if __name__ == '__main__':
    client = mqtt.Client()        # クラスのインスタンスの作成
    client.on_connect = on_connect     # 接続時のコールバック関数を登録
    client.on_disconnect = on_disconnect   # 切断時のコールバックを登録
    client.on_message = on_message  # メッセージ到着時のコールバック
    client.username_pw_set('token:%s' % TOKEN)
    client.tls_set("/etc/ssl/certs/ca-certificates.crt")
    client.connect(HOST, PORT)   # 接続
    client.subscribe(TOPIC)
    client.loop_forever() # 永久ループして待ち続ける